Skip to main content
`Ctrl`+`K`

# LMEAllocateSolution

Allocate memory storage for common variables such as the basis vectors.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEAllocateSolution(LME lme,PetscInt extra)

Collective

## Input Parameters

- lme - the linear matrix equation solver context

- extra - number of additional positions, used for methods that require a working basis slightly larger than `ncv`

## Developer Notes

This is `SLEPC_EXTERN` because it may be required by user plugin `LME` implementations.

## See Also

LME: Linear Matrix Equation, `LMESetUp()`, `LMESetDimensions()`

## Level

developer

## Location

src/lme/interface/lmesetup.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages